Gdk::PixbufAnimation Class Reference

The gdk-pixbuf library provides a simple mechanism to load and represent animations. More...

Inheritance diagram for Gdk::PixbufAnimation:
[legend]
Collaboration diagram for Gdk::PixbufAnimation:
[legend]

## Public Member Functions

| PixbufAnimation (PixbufAnimation&& src) noexcept
PixbufAnimation& | operator= (PixbufAnimation&& src) noexcept
| ~PixbufAnimation () noexceptoverride
GdkPixbufAnimation* | gobj ()
| Provides access to the underlying C GObject. More...
const GdkPixbufAnimation* | gobj () const
| Provides access to the underlying C GObject. More...
GdkPixbufAnimation* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
int | get_width () const
int | get_height () const
bool | is_static_image () const
Glib::RefPtr< Pixbuf > | get_static_image ()
Glib::RefPtr< PixbufAnimationIter > | get_iter (const GTimeVal* start_time)
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< PixbufAnimation > | create_from_file (const Glib::ustring& filename)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gdk::PixbufAnimation > | wrap (GdkPixbufAnimation* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members

Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexceptoverride
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

The gdk-pixbuf library provides a simple mechanism to load and represent animations.

An animation is conceptually a series of frames to be displayed over time. Each frame is the same size. The animation may not be represented as a series of frames internally; for example, it may be stored as a sprite and instructions for moving the sprite around a background. To display an animation you don't need to understand its representation, however; you just ask gdk-pixbuf what should be displayed at a given point in time.

## Constructor & Destructor Documentation

Gdk::PixbufAnimation::PixbufAnimation | ( | PixbufAnimation&& | src | ) |

noexcept

Gdk::PixbufAnimation::~PixbufAnimation | ( |  | ) |

override noexcept

## Member Function Documentation

static Glib::RefPtr<PixbufAnimation> Gdk::PixbufAnimation::create_from_file | ( | const Glib::ustring & | filename | ) |

static

int Gdk::PixbufAnimation::get_height | ( |  | ) | const

Glib::RefPtr<PixbufAnimationIter> Gdk::PixbufAnimation::get_iter | ( | const GTimeVal * | start_time | ) |

Glib::RefPtr<Pixbuf> Gdk::PixbufAnimation::get_static_image | ( |  | ) |

static GType Gdk::PixbufAnimation::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

int Gdk::PixbufAnimation::get_width | ( |  | ) | const

GdkPixbufAnimation* Gdk::PixbufAnimation::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GdkPixbufAnimation* Gdk::PixbufAnimation::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GdkPixbufAnimation* Gdk::PixbufAnimation::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gdk::PixbufAnimation::is_static_image | ( |  | ) | const

PixbufAnimation& Gdk::PixbufAnimation::operator= | ( | PixbufAnimation&& | src | ) |

noexcept

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::PixbufAnimation > wrap | ( | GdkPixbufAnimation * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdkmm/pixbufanimation.h